llrchgmstat - Switch the compute node state

Use the llrchgmstat command to switch the compute node state between
working and standby state.


Syntax


llrchgmstat -? | -H | -v | -h hostlist -m {suspend | resume}


Flags


-? 
   Provides a short usage message.

-H 
   Provides extended help information.

-v 
   Displays the name of the command, release number, service level,
   service level date, and lowest level of the operating system to run
   this release.

-h hostlist
   Is a blank-delimited list of compute nodes.

-m {suspend | resume}
   Switches the compute node to standby or working state. 

   where: 

   suspend
      Changes the power state of the compute node to standby state.

   resume
      Changes the power state of the compute node to working state.


Description


The llrchgmstat command switches the compute node between standby and
working state. The compute node cannot be switched to standby state when
a job is still running.


Examples


1. To switch idle nodes to standby state, issue:

   llrchgmstat -h node01 node02 node03 node04 node05 -m suspend

   You should receive output similar to the following:

   The following nodes were successfully suspended:
   node01.ppd.pok.ibm.com
   node02.ppd.pok.ibm.com
   
   The following nodes failed to suspend:
   node03.ppd.pok.ibm.com : has running jobs
   node04.ppd.pok.ibm.com : in the standby state (by policy)
   node05.ppd.pok.ibm.com : in the standby state (by command)

2. To resume node01 from standby state, issue:

   llrchgmstat -h node01 -m resume

   You should receive output similar to the following:

   The following nodes were successfully resumed:
   node01.ppd.pok.ibm.com
   
   Or if failure occurs:
   
   The following nodes failed to resume:
   node01.ppd.pok.ibm.com : has running jobs


Security


LoadLeveler administrators can issue this command.
