llreinit - Prepare energy coefficients

Use the llreinit command to prepare energy coefficients for the
LoadLeveler energy function.


Syntax


llreinit -?  | -H | -v | -l | [-s {rsh | ssh | xdsh}] [-h node_list | -a
new_node_list] -d benchmark_dir


Flags


-? 
   Provides a short usage message.

-H 
   Provides extended help information.

-v 
   Displays the name of the command, release number, and lowest level of
   the operating system to run this release.

-l 
   Loads the energy coefficients into the database. It does not run 
   the benchmarks on the compute nodes to calculate the coefficients.

-s rsh | ssh | xdsh
   Specifies which remote execution command will be used to run the
   energy initialization command on the remote node. The default command
   is rsh.

-h node_list
   Specifies the compute nodes that need to rerun the benchmarks. This
   option is used when there was a failure to initialize the energy
   function on some compute nodes.

-a new_node_list
   Specifies the new nodes that need to be added in the cluster.

-d benchmark_dir
   Specifies the location of the energy benchmarks.


Description


The llreinit command initializes the environment for the energy
function. This command will run benchmarks on each compute node, collect
hardware counters for benchmarks, and load energy coefficients into the
database. This command is run after the system administrator runs the
llrconfig -i command to initialize the LoadLeveler database.

This command is available only when the database-based configuration is
used by LoadLeveler.

The LL_CENTRAL_NODE environment variable can be set to a specific 
host name. If the llreinit command is running on the specified host to 
prepare energy coefficients, make sure all the compute nodes can access 
the host without a password. If LL_CENTRAL_NODE is not set to a specific 
host name, the host name that hostname -s displays will be used.


Examples


1. To initialize energy coefficients for LoadLeveler energy functions,
   issue:

   llreinit -s ssh -d /benchmarks

   You should receive a response similar to the following:

   Load coefficients into database.
   Energy aware management initialization has successfully completed.

   This command will run benchmarks on every compute node in the
   cluster. The coefficients will be saved into the database if no error
   occurs. 

   You might receive a response similar to the following:

   Connections cannot be made to all compute nodes from c596n17, 
   check /etc/energy/failed_node_list for details.

2. To rerun benchmarks on any nodes where the command failed to get a
   coefficients file because of network problems, correct the network
   error and then rerun the initialization command for these nodes by
   issuing: 

   llreinit -d /benchmarks -h c596n19 c596n20    

   You should receive a response similar to the following:

   Load coefficients into database.
   Energy aware management initialization has successfully completed.

3. To initialize the energy function on nodes that have been added to
   the cluster after the energy function was initialized, issue:

   llreinit -d /benchmarks -a c596n19 c596n20

   You should receive a response similar to the following:

   The added nodes are ready to be used for energy aware management.

   In this example, nodes c596n19 and c596n20 are added to the cluster
   with the energy function enabled.


Security


Only root users can issue this command on a node where the UNIX ODBC
library was installed to access the database.